Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.importer.support.internal.collection
Class DynamicList<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicCollection<E>
              org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicList<E>

All Implemented Interfaces:
  Iterable<E>, Collection<E>, List<E>, RandomAccess

Direct Known Subclasses:
  DynamicSortedList

    public class DynamicList<E>

extends DynamicCollection<E>
implements List<E>, RandomAccess

Subclass offering a List extension for a DynamicCollection. This allows not just forward, but also backwards iteration through the `ListIterator.`

Author:
  Costin Leau

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicCollection
`DynamicCollection.DynamicIterator`

Field Summary

Fields inherited from class org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicCollection
`iterators, iteratorsLock, storage`

Constructor Summary
`DynamicList()`
`DynamicList(Collection<? extends E> c)`
`DynamicList(int size)`

Method Summary
`void` | `add(int index, E o)`
`boolean` | `addAll(int index, Collection<? extends E> c)`
`E` | `get(int index)`
`int` | `indexOf(Object o)` Hook used by wrapping collections to determine the position of the object being removed while iterating.
`int` | `lastIndexOf(Object o)`
`ListIterator<E>` | `listIterator()`
`ListIterator<E>` | `listIterator(int index)`
`E` | `remove(int index)`
`E` | `set(int index, E o)`
`List<E>` | `subList(int fromIndex, int toIndex)`

Methods inherited from class org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicCollection
`add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, size, toArray, toArray, toString`

Methods inherited from class java.util.AbstractCollection
`removeAll, retainAll`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### DynamicList

    public DynamicList()

### DynamicList

    public DynamicList(Collection<? extends E> c)

### DynamicList

    public DynamicList(int size)

Method Detail

### add

    public void add(int index,
                    E o)

  Specified by:
    `add` in interface `List<E>`
  Overrides:
    `add` in class `DynamicCollection<E>`

### addAll

    public boolean addAll(int index,
                          Collection<? extends E> c)

  Specified by:
    `addAll` in interface `List<E>`

### get

    public E get(int index)

  Specified by:
    `get` in interface `List<E>`

### indexOf

    public int indexOf(Object o)

  Description copied from class: `DynamicCollection`
  Hook used by wrapping collections to determine the position of the object being removed while iterating.

  Specified by:
    `indexOf` in interface `List<E>`
  Overrides:
    `indexOf` in class `DynamicCollection<E>`

### lastIndexOf

    public int lastIndexOf(Object o)

  Specified by:
    `lastIndexOf` in interface `List<E>`

### listIterator

    public ListIterator<E> listIterator()

  Specified by:
    `listIterator` in interface `List<E>`

### listIterator

    public ListIterator<E> listIterator(int index)

  Specified by:
    `listIterator` in interface `List<E>`

### remove

    public E remove(int index)

  Specified by:
    `remove` in interface `List<E>`
  Overrides:
    `remove` in class `DynamicCollection<E>`

### set

    public E set(int index,
                 E o)

  Specified by:
    `set` in interface `List<E>`

### subList

    public List<E> subList(int fromIndex,
                           int toIndex)

  Specified by:
    `subList` in interface `List<E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.